﻿#language: ru

@piece_rate_calculation

Функционал: 08_piece_rate_calculation.02.005 Использование обработки Формирование состава бригады

Сценарий: 08_piece_rate_calculation.02.005 Использование обработки Формирование состава бригады
	Дано Я подключаюсь под "Пользователь"
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'      |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку "Покинуть рабочее место"
	Тогда открылось окно "Формирование состава бригады"
	И в поле "Штрихкод" я ввожу текст "57829367424942534029285432061461597696"
	И я перехожу к следующему реквизиту
	И я жду закрытия окна "Формирование состава бригады" в течении 20 секунд
	И я нажимаю на кнопку с именем "КомандаЗавершитьРаботу"

Сценарий: 08_piece_rate_calculation.02.005 Закрытие клиента
	И я закрываю сеанс TESTCLIENT

Сценарий: 08_piece_rate_calculation.02.005 Проверка подставившегося времени
	Дано Я переключаюсь на открытый клиент "Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Установки составов бригад'
	Тогда открылось окно 'Установки составов бригад'
	И в таблице "Список" я перехожу к строке:
		| 'Номер'       | 'Ответственный'  | 'Рабочий центр' | 'Смена'   |
		| '0000-000002' | 'Мастер сырцеха' | 'Сырцех'        | 'Смена24' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Установка состава бригады 0000-000002 от *'
	И я перехожу к закладке "Бригада"
	И в таблице "Бригада" я перехожу к строке:
		| 'Время начала' | 'Сотрудник'        |
		| '0:00:00'      | 'Упаковщик Митяев' |
	И в таблице "Бригада" у поля с именем "БригадаВремяОкончания" я жду значения отличного от "23:59:59" в течение 7 секунд
	И Я закрываю окно 'Установка состава бригады 0000-000002 от *'
	Тогда открылось окно 'Установки составов бригад'
	И в таблице "Список" я перехожу к строке:
		| 'Номер'       | 'Ответственный'  | 'Рабочий центр' | 'Смена'   |
		| '0000-000001' | 'Мастер сырцеха' | 'Упаковка'      | 'Смена24' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Установка состава бригады 0000-000001 от *'
	И я перехожу к закладке "Бригада"
	И в таблице "Бригада" я перехожу к строке:
		| 'Время начала' | 'Сотрудник'        |
		| '0:00:00'      | 'Упаковщик Митяев' |
	И в таблице "Бригада" у поля с именем "БригадаВремяОкончания" я жду значения отличного от "23:59:59" в течение 7 секунд
	И Я закрываю окно 'Установка состава бригады 0000-000001 от *'
	Тогда открылось окно 'Установки составов бригад'
	И Я закрываю окно 'Установки составов бригад'